### Method

# Gtk Tooltipset_tip_area

#### Declaration [src]

    void
    gtk_tooltip_set_tip_area (
      GtkTooltip* tooltip,
      const GdkRectangle* rect
    )

#### Description [src]

Sets the area of the widget, where the contents of this tooltip apply, to be `rect` (in widget coordinates). This is especially useful for properly setting tooltips on `GtkTreeView` rows and cells, `GtkIconViews`, etc.

For setting tooltips on `GtkTreeView`, please refer to the convenience functions for this: `gtk_tree_view_set_tooltip_row()` and gtk_tree_view_set_tooltip_cell().

#### Parameters

`rect`

  Type: `GdkRectangle`

  A `GdkRectangle`

  The data is owned by the caller of the method.